Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface EmptyStatementTree

- All Superinterfaces:
    `StatementTree`, `Tree`

      @Deprecated(since="11",
                  forRemoval=true)
      public interface EmptyStatementTree
      extends StatementTree

  Deprecated, for removal: This API element is subject to removal in a future version.
  Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
  A tree node for an empty (skip) statement. For example:

          ;

  Since:
    9

- - ### Nested Class Summary

    - ### Nested classes/interfaces declared in interface jdk.nashorn.api.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    - ### Methods declared in interface jdk.nashorn.api.tree.Tree

      `accept, getEndPosition, getKind, getStartPosition`